%define        longname  org.saga_gis.saga_gui

Name:          saga
Version:       9.8.1
Release:       K01%{?dist}
Summary:       SAGA GIS - System for Automated Geoscientific Analyses

License:       GPL-2.0-or-later and LGPL-2.1-or-later

URL:           http://www.saga-gis.org
# URL2:        https://sourceforge.net/projects/saga-gis/

Source0:       %{name}-%{version}.tar.gz


BuildRequires: cmake
BuildRequires: libgomp
BuildRequires: gcc-c++
BuildRequires: libtool
BuildRequires: wxGTK-devel >= 3.2
BuildRequires: wxBase-devel >= 3.2
BuildRequires: proj-devel
BuildRequires: gdal-devel
BuildRequires: libtiff-devel
BuildRequires: unixODBC-devel
BuildRequires: libpq-devel
BuildRequires: jasper-devel
BuildRequires: libharu-devel
BuildRequires: vigra-devel
BuildRequires: hdf5-devel
BuildRequires: opencv-devel
BuildRequires: fftw3-devel
BuildRequires: libcurl-devel
BuildRequires: PDAL-devel
BuildRequires: libsvm-devel
BuildRequires: qhull-devel
BuildRequires: swig
BuildRequires: libappstream-glib
BuildRequires: desktop-file-utils
BuildRequires: python3-devel

%description
SAGA - System for Automated Geoscientific Analyses is a free geographic
information system (GIS) platform supporting raster, vector, tabular and 
pointcloud data. SAGA provides access to its tools via GUI, 
command line (shell) or its API.  


%package devel
Summary:        SAGA - System for Automated Geoscientific Analyses development package
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package -n python3-%{name}
Summary:        SAGA - System for Automated Geoscientific Analyses python3 package
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description -n python3-%{name}
This python3-%{name} package contains the python3 bindings and libraries for the API access for %{name}.

%prep

%setup -q -n saga-%{version}/%{name}-gis
%py3_shebang_fix src/accessories/python/__init__.py

%build
%cmake -DCMAKE_BUILD_TYPE=RELEASE \
    -DWITH_EXCERCISES=OFF \
    -DWITH_DEV_TOOLS=OFF \
    -DWITH_SYSTEM_SVM=ON \
    -DWITH_FIRE_SPREADING=OFF \
    -DWITH_MRMR=OFF \
    -DWITH_CLIPPER_ONE=OFF \
    -DWITH_TOOLS_PDAL=ON \
    -DWITH_PYTHON=ON \
    -DwxWidgets_CONFIG_EXECUTABLE=/usr/bin/wx-config-3.2 

%cmake_build

%install
%cmake_install
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{longname}.desktop
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/%{longname}.appdata.xml
# install german language file
install src/saga_core/saga_gui/res/saga.ger.txt  %{buildroot}/%{_datadir}/%{name} 
#remove some icons and pixmaps folder
rm -rf %{buildroot}%{_datadir}/icons/hicolor/{8x8,72x72,80x80,192x192}/
rm -rf %{buildroot}%{_datadir}/pixmaps

%ldconfig_scriptlets


%files
%defattr(644,root, root, -)
%doc readme.md
%license src/gpl.txt src/lgpl.txt
%{_datadir}/%{name}/*
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{longname}.desktop
%{_datadir}/metainfo/%{longname}.appdata.xml
%{_mandir}/man1/%{name}_*1*

%defattr(-,root, root, -)
%{_bindir}/%{name}_cmd
%{_bindir}/%{name}_gui
%{_libdir}/%{name}/*
%{_libdir}/lib%{name}_api.so.*
%{_libdir}/lib%{name}_gdi.so.*

%files devel
%{_includedir}/%{name}/
%{_libdir}/lib%{name}_api.so
%{_libdir}/lib%{name}_gdi.so

%files -n python3-%{name}
%{python3_sitearch}/PySAGA/*

%changelog
* Fri May 23 2025 Zirneklitis - 9.8.1-K01
- New version.

* Sat Jan 13 2024 Zirneklitis - 9.3.0-K01
- New version.

* Sat Oct 21 2023 Zirneklitis - 9.1.3-K01
- New version (Bug Fix).

* Mon, Aug 07 2023 Zirneklitis - 9.1.1-K01
- Unmodified source is used.
- wx-config-3.2 should be explicity specified.

* Wed Aug 02 2023 Manfred Egger - 9.1.1-1
- Update to 9.1.1

* Sun Jul 23 2023 Manfred Egger - 9.1.0-1
- Update to 9.1.0
- Build with new default python structure PySAGA
- Fixed python3 package naming according to scheme

* Wed Jul 5 2023 Manfred Egger - 9.0.3-1q
- Update to 9.0.3

* Sat Jul 01 2023 Manfred Egger - 9.0.2-2
- Build with Clipper 2

* Thu Jun 01 2023 Manfred Egger - 9.0.2-1
- Update to 9.0.2

* Mon Apr 24 2023 Manfred Egger - 9.0.1-1
- Initial packaging
